package com.bzd.system.mapper;

import java.util.List;
import com.bzd.system.domain.SysRoleDept;

/**
 * 角色与门店关联表 数据层
 *
 * @author LiXiagnFei
 */
public interface SysRoleDeptMapper
{
    /**
     * 通过角色ID删除角色和门店关联
     *
     * @param roleId 角色ID
     * @return 结果
     */
    public int deleteRoleDeptByRoleId(Long roleId);

    /**
     * 批量删除角色门店关联信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteRoleDept(Long[] ids);

    /**
     * 查询门店使用数量
     *
     * @param deptId 门店ID
     * @return 结果
     */
    public int selectCountRoleDeptByDeptId(Long deptId);

    /**
     * 批量新增角色门店信息
     *
     * @param roleDeptList 角色门店列表
     * @return 结果
     */
    public int batchRoleDept(List<SysRoleDept> roleDeptList);
}
